apt: debSourcesIndex Class Reference

apt 2.7.5 commandline package manager

Public Member Functions | List of all members
debSourcesIndex Class Reference
Inheritance diagram for debSourcesIndex:

## Public Member Functions
virtual const Type * | GetType () const APT_OVERRIDE APT_PURE
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const APT_OVERRIDE
virtual pkgSrcRecords::Parser * | CreateSrcParser () const APT_OVERRIDE
virtual bool | HasPackages () const APT_OVERRIDE
| debSourcesIndex (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexTargetFile
virtual std::string | ArchiveURI (std::string const &File) const APT_OVERRIDE
virtual std::string | Describe (bool const Short=false) const APT_OVERRIDE
virtual bool | Exists () const APT_OVERRIDE
virtual unsigned long | Size () const APT_OVERRIDE
IndexTarget | GetIndexTarget () const APT_HIDDEN
| pkgDebianIndexTargetFile (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
virtual bool | Merge (pkgCacheGenerator &Gen, OpProgress *const Prog) APT_OVERRIDE
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const APT_OVERRIDE
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Additional Inherited Members
Protected Member Functions inherited from pkgDebianIndexTargetFile
virtual std::string | IndexFileName () const APT_OVERRIDE
virtual std::string | GetComponent () const APT_OVERRIDE
virtual std::string | GetArchitecture () const APT_OVERRIDE
virtual std::string | GetProgressDescription () const APT_OVERRIDE
Protected Attributes inherited from pkgDebianIndexTargetFile
IndexTarget const | Target
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ◆ CreateSrcParser()

pkgSrcRecords::Parser * CreateSrcParser | ( |  | ) | const
| virtual

Reimplemented from pkgIndexFile.

## ◆ GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const
| virtual

Implements pkgIndexFile.

## ◆ HasPackages()

virtual bool HasPackages | ( |  | ) | const
| inlinevirtual

Implements pkgIndexFile.

## ◆ SourceInfo()

std::string SourceInfo | ( | pkgSrcRecords::Parser const & | Record,
|  | pkgSrcRecords::File const & | File
| ) |  | const
| virtual

Reimplemented from pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc